%global gem_name hammer_cli_foreman_discovery
%global confdir hammer

Summary: Foreman discovery commands for Hammer CLI
Name: rubygem-%{gem_name}
Version: 0.0.1.10
Release: 1%{?dist}
Group: Applications/System
License: GPLv3
URL: https://github.com/theforeman/hammer-cli-foreman-discovery
Source0: %{gem_name}-%{version}.gem
Source1: foreman_discovery.yml

%if 0%{?rhel} == 6
Requires: ruby(abi)
%else
Requires: ruby(release)
%endif

Requires: ruby(rubygems)
Requires: rubygem(hammer_cli_foreman) >= 0.1.2
BuildRequires: ruby(rubygems)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
This Hammer CLI plugin contains set of commands for foreman_discovery, a plugin
to Foreman for bare-metal hardware discovery.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
%gem_install -n %{SOURCE0}

%install
mkdir -p %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d/foreman_discovery.yml
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_instdir}/locale
%config(noreplace) %{_sysconfdir}/%{confdir}/cli.modules.d/foreman_discovery.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue May 12 2015 Mike McCune <mmccune@redhat.com> 0.0.1.10-1
- Fixes #10374 - returns friendly error instead of 422 error code
  (orabin@redhat.com)

* Tue May 05 2015 Mike McCune <mmccune@redhat.com> 0.0.1.9-1
- Pull in final french strings from zanata (bkearney@redhat.com)

* Tue Apr 28 2015 Mike McCune <mmccune@redhat.com> 0.0.1.8-1
- Add in strings from zanata. All but french are done (bkearney@redhat.com)

* Wed Apr 22 2015 Mike McCune <mmccune@redhat.com> 0.0.1.7-1
- bump version (mmccune@redhat.com)

* Wed Apr 22 2015 Mike McCune <mmccune@redhat.com> 0.0.1.6-1
- bump version (mmccune@redhat.com)

* Tue Apr 21 2015 Mike McCune <mmccune@redhat.com> 0.0.1.5-1
- Fixes #9572 - Adding discovery_rule actions (orabin@redhat.com)

* Tue Mar 24 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.4-1
- update version (jmontleo@redhat.com)
- 98+ percent on all strings (bkearney@redhat.com)
- Add in zanata.xml file (bkearney@redhat.com)

* Tue Mar 17 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.3-1
- update version (jmontleo@redhat.com)
- update version (jmontleo@redhat.com)
- fixes #9746 - load version code to fix `hammer --version` (dcleal@redhat.com)

* Thu Feb 12 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.2-1
- add config (jmontleo@redhat.com)

* Thu Feb 12 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1.1-1
- new package built with tito

* Tue Feb 10 2015 Lukas Zapletal <lzap+rpm@redhat.com>
- new package built with tito

